Package Details: vegastrike-svn 13681-1

Git Clone URL: https://aur.archlinux.org/vegastrike-svn.git (read-only)
Package Base: vegastrike-svn
Description: SVN version of an Open Source 3D Action-Space-Sim allowing players to trade and bounty hunt in a vast universe.
Upstream URL: http://vegastrike.sourceforge.net/
Licenses: GPL
Conflicts: vegastrike
Provides: vegastrike
Submitter: Dragonlord
Maintainer: Dragonlord
Last Packager: Dragonlord
Votes: 6
Popularity: 0.002351
First Submitted: 2008-05-11 21:07
Last Updated: 2015-06-28 16:43

Required by (2)

Sources (1)

  • vegastrike-svn-gcc44.diff

Latest Comments

Dragonlord commented on 2014-10-06 17:22

Currently, the build fails:
https://sourceforge.net/p/vegastrike/bugs/676/

pierreghz commented on 2013-01-19 16:38

Does not compile…

==> Starting make...
VegaStrike Configuration Preparation Tool
Maintained by Brian A. Lloyd
(balloyd1@users.sourceforge.net)
Please send bug reports or comments about this script
to the email above or else visit
vegastrike.sourceforge.net for help in using this script

The recommended way to change the behaviour of this script
is to modify the path so that the version of automake or
autoconf you want to use is found first.
Alternately, you can explicitly specify the program to be
used for each in the following variables.
$ACLOCAL, $AUTOMAKE, $AUTOCONF, $AUTOHEADER
and extra arguments/include paths in these variables:
$ACLOCALFLAGS, $AUTOMAKEFLAGS, $AUTOCONFFLAGS, $AUTOHEADERFLAGS
For proper functionality, both aclocal and automake must be the
same version, and autoconf and autoheader should be the same version.

Running aclocal
configure.ac:55: error: 'AM_CONFIG_HEADER': this macro is obsolete.
You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:55: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
aclocal execution failed.
Try running svn update
in the directory that bootstrap-sh is in.
If this does not fix the problem, please verify that
aclocal is at least version 1.6
/tmp/yaourt-tmp-pierre/aur-vegastrike-svn/./PKGBUILD: ligne40: ./configure: Aucun fichier ou dossier de ce type

Rudanar commented on 2011-12-27 17:55

configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating config.h
config.status: executing depfiles commands
patch -N -p0 < boost_gcc44.patch || true
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: boost/1_35/boost/mpl/aux_/numeric_op.hpp
|===================================================================
|--- boost/1_35/boost/mpl/aux_/numeric_op.hpp (revision 54830)
|+++ boost/1_35/boost/mpl/aux_/numeric_op.hpp (working copy)
--------------------------
File to patch: ---

Rudanar commented on 2011-12-27 17:55

configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating config.h
config.status: executing depfiles commands
patch -N -p0 < boost_gcc44.patch || true
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: boost/1_35/boost/mpl/aux_/numeric_op.hpp
|===================================================================
|--- boost/1_35/boost/mpl/aux_/numeric_op.hpp (revision 54830)
|+++ boost/1_35/boost/mpl/aux_/numeric_op.hpp (working copy)
--------------------------

Svenstaro commented on 2011-05-12 18:51

That isn't a solution at all, though. :/

hgabreu commented on 2011-05-12 17:08

Yes, for me too, but I followed the sand_man's tips and it installed successfully.
i.e. commented out the last part of the patch and compiled it with gcc44

Svenstaro commented on 2011-05-12 16:28

Patch doesn't apply here.

Anonymous comment on 2010-08-09 12:37

FYI
I was able to compile this by using gcc44 from AUR and adding this to the PKGBUILD

export CC=/opt/gcc-4.4/gcc
export CXX=/opt/gcc-4.4/g++

Added this to the configure line, `--with-boost=system' and made sure boost was installed.

I also needed to comment out the last chunk in the vegastrike-svn-gcc44.diff patch.

Anonymous comment on 2010-05-27 13:48

Compiling problem:

==> Vegastrike BIN SVN checkout done or server timeout
==> Setting up build environment...
==> Starting make...
patching file boost/1_35/boost/mpl/apply.hpp
patching file boost/1_35/boost/mpl/apply_wrap.hpp
patching file boost/1_35/boost/mpl/aux_/full_lambda.hpp
patching file boost/1_35/boost/mpl/aux_/numeric_op.hpp
patching file boost/1_35/boost/mpl/bind.hpp
patching file src/cmd/basecomputer.cpp
Hunk #1 FAILED at 3142.
1 out of 1 hunk FAILED -- saving rejects to file src/cmd/basecomputer.cpp.rej